## org.mortbay.jetty.plus.naming
Class Resource

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Resource

    public class Resource

extends NamingEntry

Resource

Field Summary

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`Resource(Object scope, String jndiName, Object objToBind)`
`Resource(String jndiName, Object objToBind)`

Method Summary

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`bindToENC, getJndiName, getJndiNameInScope, getObjectToBind, release, save, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resource

    public Resource(Object scope,
                    String jndiName,
                    Object objToBind)
             throws NamingException

Throws:
  `NamingException`

### Resource

    public Resource(String jndiName,
                    Object objToBind)
             throws NamingException

Parameters:
  `jndiName` -
  `objToBind` -
Throws:
  `NamingException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.